@import url('https://fonts.googleapis.com/css2?family=Abel&display=swap');

:root {
    --bs-primary: rgb(209 141 39);
    --bs-secondary: #1a1c33;
    --bs-light: #f3f4f7;
    --bs-dark: #272d47;
    --bs-darker: #1a1c33;
    --bs-success: #0abb75;
}

body {
    margin: 0;
    padding: 0;
    font-size: 16px;
    font-weight: 400;
    color: #3F4254;
    background-color: var(--bs-light);
    font-family: "Abel", sans-serif;
}

img,
svg {
    max-width: 100%;
    height: revert-layer;
    display: inline;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
    color: inherit;
}

.btn-check:checked+.btn,
.btn.active,
.btn.show,
.btn:first-child:active,
:not(.btn-check)+.btn:active {
    border-color: transparent;
}

.btn-outline-primary,
.btn-outline-light {
    font-weight: bold;
    font-style: normal;
    text-transform: uppercase;
    text-decoration: none;
    border-radius: 0;
    border-width: 2px;
    font-size: 20px;
    padding: .4rem 1.2rem;
}

.btn-outline-light:hover {
    background-color: var(--bs-primary);
    color: var(--bs-white);
    border-color: var(--bs-primary);
}

.btn-outline-primary {
    --bs-btn-color: #f05123;
    --bs-btn-border-color: #f05123;
    --bs-btn-hover-bg: #f05123;
    --bs-btn-hover-border-color: #f05123;
    --bs-btn-active-bg: #f05123;
    --bs-btn-active-border-color: #f05123;
    --bs-btn-disabled-color: #f05123;
    --bs-btn-disabled-border-color: #f05123;
}

.btn-light:first-child:active,
.btn-light:active,
.btn-light:focus,
.btn-light:hover {
    color: var(--bs-primary);
    background-color: rgb(53 72 149 / 15%);
    border-color: rgb(53 72 149 / 15%);
}

.hov-bg-light:hover {
    background-color: var(--bs-light);
}

.form-control:focus {
    border-color: var(--bs-gray);
    box-shadow: none;
}

.text-md {
    font-size: 18px !important;
}

.text-base {
    font-size: 16px !important;
}

.text-sm {
    font-size: 14px !important;
}

.text-xs {
    font-size: 12px !important;
}

.dropdown-menu {
    --bs-dropdown-border-color: var(--bs-gray-200);
}

.custom-bg {
    background-image: url(../images/others/GeoBackground.jpg);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.text-underline {
    text-decoration: underline;
}

.pagination li>* {
    margin: 0;
    text-decoration: none;
    padding: 0;
    line-height: 1;
    font-size: 1em;
    font-weight: 400;
    padding: .75em;
    text-align: center;
    display: block;
    min-width: 2.5em;
    border: 1px solid var(--bs-primary);
    height: 2.5em;
    color: var(--bs-primary);
    margin: 0 2px;
    border-radius: 0.5rem;
}

.pagination li>*:hover,
.pagination li.active>* {
    background-color: var(--bs-primary);
    color: var(--bs-white);
}

.pagination {
    justify-content: center;
}

.pagination li.disabled {
    display: none;
}

.owl-carousel .owl-nav button.owl-prev,
.owl-carousel .owl-nav button.owl-next,
.slick-arrow {
    background-color: var(--bs-primary) !important;
    color: var(--bs-white) !important;
    padding: 0 !important;
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 0.6rem;
    font-size: 1rem;
    line-height: 1;
    padding-bottom: 0.25rem !important;
    position: absolute;
    left: -0.6rem;
    top: 50%;
    transform: translateY(-50%);
    z-index: 9;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding-top: 0.2rem !important;
}

.owl-carousel .owl-nav button.owl-next,
.slick-arrow.slick-next {
    left: auto;
    right: -0.6rem;
}

.owl-carousel .owl-nav button.owl-prev:active,
.owl-carousel .owl-nav button.owl-prev:focus,
.owl-carousel .owl-nav button.owl-prev:hover,
.owl-carousel .owl-nav button.owl-next:active,
.owl-carousel .owl-nav button.owl-next:focus,
.owl-carousel .owl-nav button.owl-next:hover,
.slick-arrow:active,
.slick-arrow:focus,
.slick-arrow:hover {
    background-color: var(--bs-secondary) !important;
    color: var(--bs-white) !important;
}

.owl-nav button svg,
.slick-arrow svg {
    height: 9px;
    width: auto;
}

.slick-dots {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: 0;
    bottom: -1.5rem;
    width: 100%;
}

.slick-dots li {
    display: inline-flex;
}

.slick-dots button {
    font-size: 0;
    border: none;
    width: 0.5rem;
    height: 0.5rem;
    background-color: var(--bs-gray-300);
    border-radius: 50%;
    margin: 0 0.2rem;
    padding: 0;
    flex-shrink: 0;
    transition: all 0.3s ease-in-out;
}

.slick-dots li.slick-active button {
    background-color: var(--bs-gray-500);
    width: 0.6rem;
    height: 0.6rem;
}

.slick-dots button:hover {
    background-color: var(--bs-gray-500);
}

.social-list>li {
    flex-shrink: 0;
}

.social-list {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.social-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 26px;
    height: 26px;
    color: var(--bs-gray-500);
    border-radius: 50%;
    transition: all 0.3s ease-in-out;
    font-size: 22px;
    line-height: 1;
    padding-top: 2px;
}

.social-link:hover,
.social-link:focus,
.social-link:active {
    animation-name: animation-pop;
    animation-duration: .3s;
    animation-timing-function: linear;
    animation-iteration-count: 1;
    color: var(--bs-gray-300);
}

@keyframes animation-pop {
    50% {
        transform: scale(1.2)
    }
}

/* =============== Header CSS =============== */
.header-top {
    background-color: rgb(0 0 0);
    color: var(--bs-gray-200);
}

.header-top .container {
    max-width: 1000px;
}

.header-top-list {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.header-top-link {
    display: inline-flex;
    align-items: center;
    gap: 0.3rem;
    padding: 0.3rem 0;
    font-size: 14px;
}

.header {
    background-color: #001a26;
    text-align: center;
    padding: 1rem 0 0;
    color: var(--bs-white);
    -webkit-transform: translateZ(0) translateY(0);
    -moz-transform: translateZ(0) translateY(0);
    transform: translateZ(0) translateY(0);
    transition: transform 0.3s ease-in-out, transform 0.3s ease-in-out, background 0.3s ease-in-out;
    -moz-transition: height 0.3s ease-in-out, -moz-transform 0.3s ease-in-out, background 0.3s ease-in-out;
    -webkit-transition: height 0.3s ease-in-out, -webkit-transform 0.3s ease-in-out, background 0.3s ease-in-out;
    -o-transition: height 0.3s ease-in-out, -o-transform 0.3s ease-in-out, background 0.3s ease-in-out;
    position: relative;
    z-index: 100;
    width: 100%;
}

.header.normal {
    -webkit-transform: translateZ(0) translateY(-100%);
    -moz-transform: translateZ(0) translateY(-100%);
    transform: translateZ(0) translateY(-100%);
}

.header.sticky {
    position: fixed;
    left: 0;
    top: 0;
    -webkit-transform: translateZ(0) translateY(0);
    -moz-transform: translateZ(0) translateY(0);
    transform: translateZ(0) translateY(0);
    box-shadow: rgba(0, 0, 0, 0.2) 0px -2px 6px;
    background-color: rgba(0, 0, 0, 0.41);
}

.logo-container {
    padding-bottom: 1rem;
}

.menu-container {
    max-width: 1000px;
    margin: 0 auto;
}

.header-menu {
    flex-wrap: wrap;
    justify-content: center;
}

.menu-item {
    position: relative;
}

.menu-link {
    font-weight: bold;
    font-style: normal;
    text-transform: uppercase;
    text-decoration: none;
    padding: 1rem 0.5rem;
    display: flex;
    transition: all 0.3s ease-in-out;
}

.header-menu>.menu-item>.menu-link {
    padding: 0 0.7rem 1rem;
}


.header-menu>.menu-item:has(.sub-menu)>.menu-link::after {
    content: '\f078';
    font-family: 'Font Awesome 5 Pro';
    font-size: 12px;
    line-height: 2;
    margin-left: 7px;
}

.menu-link:hover {
    background-color: rgba(0, 0, 0, 0.03);
    opacity: 0.7;
}

.sub-menu {
    background-color: #001a26;
    position: absolute;
    z-index: 9999;
    width: 240px;
    visibility: hidden;
    opacity: 0;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 2px 5px;
    transform: translateZ(0px);
    text-align: left;
    padding: 10px 0px;
    border-top: 3px solid var(--bs-white);
    top: 100%;
}

.sticky .sub-menu {
    background-color: rgba(0, 0, 0, 0.41);
}

.menu-item:hover .sub-menu {
    animation: 0.4s ease-in-out 0s 1 normal none running fadeLeft;
    opacity: 1;
    visibility: visible;
}

@keyframes fadeLeft {
    0% {
        opacity: 0;
        transform: translateX(-10%);
    }

    100% {
        opacity: 1;
        transform: translateX(0px);
    }
}

.sub-menu .menu-link {
    padding: 0.5rem 1.5rem;
    font-size: 14px;
}

/* =============== Header CSS =============== */

/* =============== Hero CSS =============== */
.hero-section {
    position: relative;
    z-index: 1;
    padding-block: 6rem;
}

.hero-bg {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-position: top;
    background-size: cover;
    position: absolute;
    display: block;
}

.hero-content-wrapper {
    text-align: center;
    padding: 5rem 2rem;
}

/* =============== Hero CSS =============== */

/* =============== Signup CSS =============== */
.signup-section {
    padding: 54px 0;
    text-align: center;
    color: var(--bs-white);
    font-size: 18px;
}

.section-title {
    font-weight: bold;
    font-style: normal;
    text-transform: uppercase;
    text-decoration: none;
    color: var(--bs-white);
    text-align: center;
}

.section-desc {
    padding-bottom: 10px;
}

/* =============== Signup CSS =============== */

/* =============== Event CSS =============== */
.event-card {
    position: relative;
    z-index: 1;
}

.event-card-link {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    background: rgba(0, 0, 0, 0.6);
    visibility: hidden;
    opacity: 0;
}

.link-icon {
    font-size: 2rem;
    display: inline-flex;
    color: rgb(46, 163, 242);
    transform: translateY(15px);
    transition: all 0.3s ease-in-out;
}

.event-card:hover .event-card-link {
    visibility: visible;
    opacity: 1;
}

.event-card:hover .link-icon {
    transform: none;
}

/* =============== Event CSS =============== */

/* =============== Message CSS =============== */
.message-section {
    background-image: url(../images/others/3.jpg);
    padding-top: 100px;
    padding-bottom: 100px;
    filter: saturate(0%);
    backface-visibility: hidden;
    filter: saturate(0%);
    backface-visibility: hidden;
    position: relative;
    background-color: rgb(255, 255, 255);
    background-size: cover;
    background-position: 50% center;
}

.message-wrapper {
    background-color: rgba(0, 0, 0, 0.42);
    padding: 50px;
    color: var(--bs-white);
    max-width: 1000px;
    margin: 0 auto;
}

.message-text {
    font-size: 17px;
    line-height: 1.8;
}

.message-title {
    font-weight: bold;
    font-style: normal;
    text-transform: uppercase;
    text-decoration: none;
    color: #febe2a;
    margin-bottom: 0;
}

/* =============== Message CSS =============== */

/* =============== Footer CSS =============== */
.footer {
    padding-top: 3.5rem;
    color: var(--bs-gray-300);
    font-size: 17px;
}

.search-wrapper {
    display: flex;
    background-color: var(--bs-white);
    border-radius: 0.2rem;
    overflow: hidden;
    margin-top: 3rem;
    max-width: 300px;
}

.search-input {
    border-radius: 0;
    border: none !important;
}

.search-button {
    background-color: var(--bs-gray-500);
    border-radius: 0;
    color: var(--bs-white);
}

.search-button:hover,
.search-button:focus {
    background-color: var(--bs-gray);
}

.footer-title {
    font-weight: bold;
    font-style: normal;
    text-transform: uppercase;
    text-decoration: none;
    font-size: 20px;
}

.footer-bottom {
    margin-top: 2rem;
    background-color: rgba(0, 0, 0, 0.32);
    padding: 15px 0px 5px;
}

/* =============== Footer CSS =============== */

/* =============== About CSS =============== */
.about-section {
    background-color: var(--bs-white);
    padding: 4rem 0;
}

.about-title {
    color: #f05123;
    font-weight: bold;
}

.about-desc {
    padding: 1rem 0;
    font-size: 17px;
}

/* =============== About CSS =============== */

/* =============== Call to Action CSS =============== */
.call-to-action {
    background-color: rgba(0, 0, 0, 0.43);
    padding: 5rem 0;
}

.btn-primary {
    --bs-btn-bg: var(--bs-primary);
    --bs-btn-border-color: var(--bs-primary);
    --bs-btn-hover-bg: var(--bs-primary);
    --bs-btn-hover-border-color: var(--bs-primary);
    --bs-btn-active-bg: var(--bs-primary);
    --bs-btn-active-border-color: var(--bs-primary);
    --bs-btn-disabled-bg: var(--bs-primary);
    --bs-btn-disabled-border-color: var(--bs-primary);
}

.subscribe-form {
    max-width: 600px;
    margin: 0 auto;
}

.form-control {
    border-radius: 0;
}

/* =============== Call to Action CSS =============== */
.accordion-button {
    background-color: var(--bs-gray-300);
    font-weight: bold;
    text-transform: uppercase;
    color: #047899;
}

.accordion-button:focus {
    box-shadow: none;
}

.accordion-button:not(.collapsed) {
    background-color: var(--bs-white);
}

.accordion-flush>.accordion-item {
    border: 1px solid var(--bs-gray-300) !important;
}

.accordion-item {
    border: var(--bs-accordion-border-width) solid var(--bs-accordion-border-color) !important;
}
